lexmark z53 blank pages

Bug #6627 reported by John Yates on 2006-01-10
48
Affects Status Importance Assigned to Milestone
cupsys (Ubuntu)
Medium
Unassigned
gutenprint (Ubuntu)
Medium
Unassigned

Bug Description

after dapper update from gimpprint to gutenprint, only get blank pages.

Changed in cupsys:
assignee: nobody → pitti
Daniel Robitaille (robitaille) wrote :

I can confirm this one: it's doing the same when I connect my z53 printer to my dapper laptop.

Changed in cupsys:
status: Unconfirmed → Confirmed
Jan Wätzig (j-waetzig) wrote :

me too with Lexmark Z25 in Dapper

David Smith (xperdition) wrote :

I third this, USB and Parallel cables tried, no luck.

Patrice Vetsel (vetsel-patrice) wrote :

I'v opened a bug in cups bugtracker system
http://www.cups.org/str.php?L1510+P0+S0+C0+I0+E0+Qblank+page

Alexandre Otto Strube (surak) wrote :

The bug was rejected at the cups' bugtracker system. You should post it to gutenprint's one.

Martin Pitt (pitti) on 2006-03-30
Changed in cupsys:
assignee: pitti → nobody
Matthias Klose (doko) wrote :

please could you recheck after a dist-upgrade to dapper 20060414, removal and reinstallation of the printer?

Changed in gutenprint:
status: Confirmed → Needs Info
Changed in cupsys:
status: Unconfirmed → Needs Info
Daniel Robitaille (robitaille) wrote :

It still only print blank pages for me with an updated Dapper. I'm also using Martin Pitt's new cupsys packages from his personal repository.

Two things I have just noticed.

When I create a new printer queues, I get these errors in /var/log/cups/error_log which may or may not be related:

E [14/Apr/2006:12:16:07 -0700] [CGI] FATAL: Error inserting lp (/lib/modules/2.6.15-20-386/kernel/drivers/char/lp.ko): Operation not permitted
E [14/Apr/2006:12:16:09 -0700] [cups-driverd] Unable to open driver directory "/usr/lib/cups/driver": No such file or directory
E [14/Apr/2006:12:16:16 -0700] CUPS-Add-Modify-Printer: Unauthorized

I also cannot seem to be able to change the paper size of the printer queue from A4 to Letter. If I change it, the change doesn't stick.

Matthias Klose (doko) wrote :

kernel team udev maintainer, does this ring a bell?

E [14/Apr/2006:12:16:07 -0700] [CGI] FATAL: Error inserting lp (/lib/modules/2.6.15-20-386/kernel/drivers/char/lp.ko): Operation not permitted

Martin Pitt (pitti) wrote :

@Matthias: The reason is simply that cupsd runs as root, and thus cannot modprobe lp. It shouldn't have to in the first place, though. Usually 'lp' is in /etc/modules; it's currenly not for systems installed with ubiquity (see bug 40311).

Daniel Robitaille (robitaille) wrote :

Thanks to dholbach for finding this, we now have two upstream bugs related to this Ubuntu bug:

http://sourceforge.net/tracker/index.php?func=detail&aid=1458059&group_id=1537&atid=101537

http://sourceforge.net/tracker/index.php?func=detail&aid=1464997&group_id=120041&atid=685811

And it is marked fixed in Gutenprint (status changed on April 19).

Daniel Robitaille schrieb:
> And it is marked fixed in Gutenprint (status changed on April 19).

the upstream bug reports are still open; where did you find this status
change?

Daniel Robitaille (robitaille) wrote :

http://sourceforge.net/tracker/index.php?func=detail&aid=1458059&group_id=1537&atid=101537

In that bug report they have:
Group: 5.0-fixed
Resolution: Fixed

But it's true they also have:
Status: Open

So they marked it fixed, but left it open. I just wonder if it is fixed in CVS, but is left open until they release the final version of 5.0? (5.0.0-rc2 was released way back in January)

John Yates (andyfranyates) wrote :

It's still not fixed (cups 1.2.0-0ubuntu2 & cupsys-driver-gutenprint 5.0.0~rc2-0ubuntu6).

Paul Sladen (sladen) wrote :

Can somebody extract the patch from the z53 in the upstream CVS and attach it here.

David Smith (xperdition) wrote :

Will this be something that gets fixed in a mass update, or do we have to ferret out individual patches for hardware fixes? This is all that's keeping me off Dapper at the moment.

Ante Karamatić (ivoks) wrote :

OK. I'll work on this today.

This patch fixes upstream bug. I'm building test packages...
Anyone willing to test them?

Ante Karamatić (ivoks) wrote :

OK, this will take a while before packages are built :((

Paul Sladen (sladen) wrote :

If we remove all the debugging printf changes from that patch the result is fairly sane:

  http://www.paul.sladen.org/ubuntu/upload/guten-lexmark-z53-backport-1.diff

Expect there are a couple of strange hunks; The one at @@ -2193,6 +2160,7 @@ which appears to duplicate a line and the one from @@ -2950,7 +2884,6 @@ which removes an unblanced '}' closing brace.

Ante, how was this patch created?

Ante Karamatić (ivoks) wrote :

Could you guys (with lexmark) test packages at:

http://master.grad.hr/~ivoks/ubuntu/lexmark

Ante Karamatić (ivoks) wrote :

Just add:

deb http://master.grad.hr/~ivoks/ubuntu/lexmark/ ./

to /etc/apt/sources.list

apt-get update ; apt-get upgrade

and then try again your printer and report how it's working.

Thank you.

Paul Sladen (sladen) wrote :

If you want to d a quick test, it should be possible to just do:

  wget http://master.grad.hr/~ivoks/ubuntu/lexmark/libgutenprint2_5.0.0~rc2-0ubuntu6.2_i386.deb
  sudo dpkg -i libgutenprint2_5.0.0~rc2-0ubuntu6.2_i386.deb

since I think that's the only package that actually is affected by the changes made.

Daniel Robitaille (robitaille) wrote :

I installed the packages in ivoks's repository, and it didn't make a difference: it still only print blank pages. Nothing in the cups error logs. I also try re-creating the print queue, restarted cupds in case it could have made a difference.

By the way a small packaging note: the rebuilt cupsys-driver-gutenprint depends on libgnutls11 from universe. The original cupsys-driver-gutenprint depends on libgnutls12 from main

Daniel Robitaille (robitaille) wrote :

If I compile and install gutenprint 4.3.99+cvs20060521-2 from Debian unstable then I'm able to print. So it appears that it is solved in a recent version of gutenprint from their CVS (at least as of May 21).

vegacom (vegacom) wrote :

Lexmark z52 (gutenprint)

Here is how to compile and install gutenprint_4.3.99+cvs20060521 from debian repository:

    # apt-get install wajig
    # wajig install dpatch
    # wajig install libcupsys2-dev
    # wajig install libgtk2.0-dev
    # wajig install libgimp2.0-dev
    # wajig install libcupsimage2-dev

download the following files:

http://ftp.debian.org/debian/pool/main/g/gutenprint/gutenprint_4.3.99+cvs20060521-3.dsc

http://ftp.debian.org/debian/pool/main/g/gutenprint/gutenprint_4.3.99+cvs20060521.orig.tar.gz

http://ftp.debian.org/debian/pool/main/g/gutenprint/gutenprint_4.3.99+cvs20060521-3.diff.gz

from http://packages.debian.org/unstable/source/gutenprint

build deb file,

(some help in spanish: http://lists.debian.org/debian-user-spanish/1999/08/msg00037.html)

    % dpkg-source -x gutenprint_4.3.99+cvs20060521-3.dsc
    % cd gutenprint-4.3.99+cvs20060521
    % fakeroot ./debian/rules binary
    % cd ..
    # wajig install libgutenprint2_4.3.99+cvs20060521-3_i386.deb
    # wajig install libgutenprint-dev_4.3.99+cvs20060521-3_i386.deb
    # wajig install libgutenprintui1-1_4.3.99+cvs20060521-3_i386.deb
    # wajig install libgutenprintui1-dev_4.3.99+cvs20060521-3_i386.deb
    # wajig install libgutenprintui2-1_4.3.99+cvs20060521-3_i386.deb
    # wajig install libgutenprintui2-dev_4.3.99+cvs20060521-3_i386.deb
    # wajig install cupsys-driver-gutenprint_4.3.99+cvs20060521-3_i386.deb

that's it.

frogzoo (frogzoo) wrote :

vegacom
Tried the above process, but it fails to build, make complaining can't find gtk/gtk.h

This is from a clean Dapper 6.06 install

TWFJR (tom-fiechtl) wrote :

Add the HP Deskjet 722c to the list of printers not printing. Seems to me that the printers are not being found by the compter. Before, z52 gave up blank paper. Now nothing happens. I installed gutenprint 5.0.0~rc3. Still no printing. I don't think that any printer will work with Dapper 6.06.

David Smith (xperdition) wrote :

I find it hard to believe that a printer I have used with everything up until now with minimal fuss is just supposed to sit here week upon week and not work (or work improperly). I found this thread in March, and no offense, but nothing at all seems to be happening. Is this actually the place to report this? And spare me the 24-step method of compiling from outside repositories that may or may not work listed above. It's a printer. It has worked (with Ubuntu) before simply by selecting it. Having that funtionality break is practically inexcusable, and supplying a two-page workaround as opposed to fixing the problem is what's keeping projects like these from succeeding. Since it appears that Ubuntu isn't going to get fixed in the foreseeable future, I will take the tacet advice and go elsewhere.

Ante Karamatić (ivoks) wrote :

OK, lexmarks :)

Could you put:

deb http://www.grad.hr/~ivoks/ubuntu/gutenprint ./

in your /etc/apt/sources.list, run apt-get update ; apt-get upgrade and then try printing. Thank you!

TWFJR (tom-fiechtl) wrote :

Ok, Ante Karamatic, I did that: "

OK, lexmarks :)

Could you put:

deb http://www.grad.hr/~ivoks/ubuntu/gutenprint ./

in your /etc/apt/sources.list, run apt-get update ; apt-get upgrade and then try printing. Thank you!"

Update completed. Upgrade completed. Test print failed. Rebooted. Test print failed.

Downloaded gutenprint 5.0.0~rc3. Loaded it and added dependencies. Test print failed.

Now looking into FAQ's for possible ineffieciencies.

On Thu, 15 Jun 2006 19:48:44 -0000
TWFJR <email address hidden> wrote:

> Update completed. Upgrade completed. Test print failed. Rebooted.
> Test print failed.

AFAICS, you are using HP, not Lexmark, right? You are having different
issues than this. Please attach your /etc/cups/printers.conf. Thank you.

--
Ante Karamatic | 0xD3BDA225 | 0x0A4A0161
<email address hidden> | <email address hidden> | ivoks.blogspot.com
"Tomorrow is my day off, so please stay off the powder!"

TWFJR (tom-fiechtl) wrote :

Ante Karamatic, no, wrong assumption. I tried HP printer to see if it worked. It did not. Which leads me to believe that there are serious issues printing with dapper. That which I indicated above failed to print on z52. Never thought to again try HP. Doubt that HP would work now either. Thanks for your reply.

Daniel Robitaille (robitaille) wrote :

Ante,

I have tried your deb packages from your repository, and it worked fine for me for my z53 (using usb). Thanks.

Are they based on Gutenprint's rc3 or on Debian's 4.3.99+cvs20060521-4? Your changelogs are unclear about this (I thought rc3 was older than cvs20060521)

Ante Karamatić (ivoks) wrote :

@TWFJR

Please, attach your /etc/cups/printers.conf. Printing in Dapper has couple of problems. We are working on fixes.

@Daniel

rc3 was released on May 18., and yes, packages are based on Debian's packages + two Ubuntu patches and some changes in rules/control. Sorry, I didn't wrote changelog since intention was to just check how it works.

TWFJR (tom-fiechtl) wrote :

# Printer configuration file for CUPS v1.2.0
# Written by cupsd on 2006-06-12 21:46
<Printer Z52>
Info Lexmark Z52
Location tom
DeviceURI hp:/no_device_found
State Idle
StateTime 1150177589
Accepting Yes
Shared Yes
JobSheets none none
QuotaPeriod 0
PageLimit 0
KLimit 0
OpPolicy default
ErrorPolicy stop-printer
</Printer>

Thanks, maybe now we all can get down to a solution. Above is "printers.conf. file you requested.

Ante Karamatić (ivoks) wrote :

DeviceURI is wrong in your printers.conf. If you change it to:

DeviceURI file:///dev/usblp0

I'm sure it will work. When you connect your printer to computer and start gnome-cups-add, does it list any printer as autodetected? If not, please attach output of lpinfo -v.

TWFJR (tom-fiechtl) wrote :

Ante Karamatic, thanks for this assistance. z52 now printing. But to answer your question, "When you connect your printer to computer and start gnome-cups-add, does it list any printer as autodetected?" no printer is autodetected. Attached lpinfo -v output below. Print config still listing gutenprint as driver.

tom@ubuntu:~$ lpinfo -v
network socket
network beh
network bluetooth
direct hp:/no_device_found
network http
network ipp
network lpd
direct parallel:/dev/lp0
direct canon:/dev/lp0
direct epson:/dev/lp0
network smb
tom@ubuntu:~$
tom@ubuntu:~$

atomlbomb (atomlbomb) wrote :

Ante Karamatic I had this problem too with a Z53 USB Lexmark printer.
I tried this suggestion you gave:

OK, lexmarks :)

Could you put:

deb http://www.grad.hr/~ivoks/ubuntu/gutenprint ./

in your /etc/apt/sources.list, run apt-get update ; apt-get upgrade and then try printing. Thank you!

It worked great. Thanks a lot. I hope this fix can get added to the regular ubuntu repositories so that other people don't have to go looking for the answer.

Ante Karamatić (ivoks) wrote :

There is 99,999% chance that fix for Lexmark printers will get into dapper-updates :)

Ante,

I've been having the exact same problem with my Lexmark Z43, so I added your repo to my sources.list and tried updating. However the process of installing the packages fails with this error:

Setting up cupsys-driver-gutenprint (5.0.0~rc2-0ubuntu6.1) ...
can't close cups-genppd pipe: at /usr/sbin/cups-genppdconfig.5.0 line 414.
dpkg: error processing cupsys-driver-gutenprint (--configure):
 subprocess post-installation script returned error exit status 127
Errors were encountered while processing:
 cupsys-driver-gutenprint

Any thoughts? Something I have to shut down manually before I can apply the fix?

Thanks!

Ante Karamatić (ivoks) wrote :

Yup, do:

sudo apt-get install libgutenprint2 ijsgutenprint foomatic-db-gutenprint foomatic-db-gimp-print libgutenprintui2-1 gimp-print ijsgimpprint

and then

sudo apt-get upgrade

David Smith (xperdition) wrote :

I have tried all of these suggestions, and nothing works. Printer is detected, installed and shows up in printer.conf, but still refuses to do anything but push blanks.

David Smith (xperdition) wrote :

Not sure what I did wrong, including posting twicw there...but I tried some removal/reinstall maneuvers and now things work! Thanks, everyone.

Ante Karamatić (ivoks) wrote :

Thank you all for your info!

Changed in cupsys:
status: Needs Info → Rejected
Changed in gutenprint:
status: Needs Info → In Progress
frogzoo (frogzoo) wrote :

Make and Model: Lexmark Z52 - CUPS+Gutenprint v5.0.0-rc2
Using only black ink cartridge.

Updated from the test repo "deb http://www.grad.hr/~ivoks/ubuntu/gutenprint ./"

Definitely an improvement - there is now ink on the paper, but the print quality is terrible. At 600dpi, it's print appears in stripes - about a cm across, then a 1/2 cm is blank, repeated down the page. 1200dpi is very faint, and 2400dpi is non existent.

The only thing that's printed half way reasonably was the ubuntu test page at 600dpi.

frogzoo (frogzoo) wrote :

After today's updates, my Z52 works fine.

Great work!

Ante Karamatić (ivoks) wrote :

@frogzoo

could you append following information:

apt-cache showsrc cupsys gutenprint | grep ^Version

Thanks.

frogzoo (frogzoo) wrote :

apt-cache showsrc cupsys gutenprint | grep ^Version
Version: 1.2.0-0ubuntu5
Version: 1.2.1-0ubuntu1
Version: 5.0.0~rc2-0ubuntu6

Print _was_ working immediately after the updates (at 600dpi iirc)

However, since fiddling with the printer settings - resolution and the printer ink set itself back to color for some reason, which I reset to black, anyhow, it's now not printing again. Let me know if you need any more info.

Paul Bell (launchpad-dpb) wrote :

Hi... I've tried all suggested above and I'm still spewing blank sheets.

I'm actually using a Xerox XK50cx Workcentre (via USB) which works better on Windows with the Lexmark Z53 driver!

I've now "downgraded" using
libgimpprint1_4.2.7-10_amd64.deb
cupsys-driver-gimpprint_4.2.7-10_amd64.deb
cupsys-driver-gimpprint-data_4.2.7-10_all.deb

Printing is now fine (Lexmark Z53). I've spent a *lot* of time reading forums and searching for an answer to this so unless someone has another suggestion I'm going to lock cupsys-driver-gimpprint in Synaptic.

'apt-cache showsrc cupsys gutenprint | grep ^Version' was (and still is) showing
Version: 1.2.0-0ubuntu5
Version: 1.2.1-0ubuntu2
Version: 5.0.0~rc2-0ubuntu6

Ubuntu 6.06 / 2.6.15-26-amd64-k8

Cheers ... Paul

Yatin Mirakhur (ymirakhur) wrote :

this is supposed to be fixed in gutenprint 5.0.0 final relase

Changed in gutenprint:
status: In Progress → Fix Released
Martin Cole (mjc-sci) wrote :

This is still broken for me.

$ uname -a
Linux jager 2.6.15-26-amd64-k8 #1 SMP PREEMPT Thu Aug 3 03:11:38 UTC 2006 x86_64 GNU/Linux

It looks like the http://www.grad.hr/~ivoks/ubuntu/gutenprint repository doesnt have a version of ijsgutenprint which will install and thus nothing will.

$ apt-get upgrade
Reading package lists... Done
Building dependency tree... Done
The following packages have been kept back:
  foomatic-db-gutenprint
0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
root@jager ~ 10:51:21 jobs:0
$ apt-get install foomatic-db-gutenprint
Reading package lists... Done
Building dependency tree... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.

Since you only requested a single operation it is extremely likely that
the package is simply not installable and a bug report against
that package should be filed.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
  foomatic-db-gutenprint: Depends: ijsgutenprint (>= 5.0.0~rc2-0ubuntu6.1) but 5.0.0~rc2-0ubuntu6 is to be installed
E: Broken packages
root@jager ~ 10:51:44 jobs:0
$ apt-get install ijsgutenprint
Reading package lists... Done
Building dependency tree... Done
ijsgutenprint is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
root@jager ~ 10:51:53 jobs:0

Ante Karamatić (ivoks) wrote :

On Pet, 2006-09-01 at 16:54 +0000, Martin Cole wrote:

> It looks like the http://www.grad.hr/~ivoks/ubuntu/gutenprint repository

This is i386-only repo. You can add:

deb-src http://www.grad.hr/~ivoks/ubuntu/gutenprint ./

to sources.list and run:

sudo apt-get build-dep gutenprint
sudo apt-get source -b gutenprint

and install compiled packages.

It's not on me to decide, but I think we will have newer gutenprint in
Dapper very soon (during next week or two).

--
Ante Karamatić <email address hidden>
PGP: 0xD3BDA225

Martin Pitt (pitti) wrote :

gutenprint 5.0 final is not yet in the archive, but Till is currently working on it. Thus 'fix released' was a little premature.

Changed in gutenprint:
status: Fix Released → In Progress

Get the 5.0.0 final here

http://www.freestandards.org/~till/tmp/ubuntu/edgy/gutenprint/binary/

and try out whether this fixes your problem.

If do not have an i386-compatible platform, here are the source packages for rebuilding:

http://www.freestandards.org/~till/tmp/ubuntu/edgy/gutenprint/

Gutenprint 5.0.0 final is officially released for Edgy now, please test it.

Changed in gutenprint:
status: In Progress → Fix Released
Ante Karamatić (ivoks) wrote :

Maybe we should backport 5.0 to dapper? After all, it was a regression from Breezy :(.

atomlbomb (atomlbomb) wrote :

yes it would be nice if it was there for dapper. I just had to reinstall dapper recently and it took me while to find this page to get my printer working. It would have been nice if the update had been there to just install instead of searching for the page again.

Thanks again for getting something working that could be intalled on dapper without much trouble though.

Biker (silla) wrote :

Ante,
your fix worked for my lexmark Z52, thanks a lot!
(Well, it only works in black & white, but that's more than enough, for now)

Thanks again,
Biker

People who experience problems with gutenprint 5.0.0~rc2-0ubuntu6 in Dapper should try the "Testing backport" packages for gutenprint 5.0.0-2ubuntu2 (backported from Edgy) that can be found in bug #61843. If these backport packages works for you please confirm which problem/bug it solves so these packages can become an official Dapper backport.

bobnovak (rfrannovak) wrote :

Got the Lexmark Z53 to work in Dapper (6.06 LTS). Here's how I did it. Following advice posted by the good folks on launchpad, I

Logged on to ftp://ftp.akl.lt/Linux/Baltix/Baltix-Ubuntu_packages/gutenprint/

then downloaded and installed these packages (in this order)

libgutenprint2_5.0.0-2ubuntu1_i386.deb
cupsys-driver-gutenprint_5.0.0-2ubuntu1_i386.deb

(I got some kinda message saying that older software was available in a software channel, but just clicked "OK" on that and it went away)

After this, I installed the Z53 by clicking System, Administration, then Printing, then doubleclicking on New Printer and choosing Lexmark, then Z53. Lo and behold, it printed a test page (rather than shooting out a blank)

Just to doublecheck, I printed these notes from Text Editor (on the back of the test page, to save paper and natural resources). Worked great!

Evidently, there's some kinda known problem with out-of-date Gutenprint drivers in Dapper that the packages above update. Hey, it worked for me, and if it works, it's good!

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers